Get failure taxonomy
curl --request GET \
--url https://api.valiqor.com/v2/failure-analysis/taxonomy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valiqor.com/v2/failure-analysis/taxonomy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valiqor.com/v2/failure-analysis/taxonomy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"bucket_id": "<string>",
"bucket_name": "<string>",
"description": "<string>",
"subcategories": [
{
"subcategory_id": "<string>",
"subcategory_name": "<string>",
"description": "<string>",
"detection_approach": "<string>",
"applies_to": [
"<string>"
],
"requires_retrieval": false,
"requires_tools": false,
"minimal_mode_compatible": false,
"required_inputs": [
"<string>"
],
"related_eval_metrics": [
"<string>"
],
"related_security_categories": [
"<string>"
],
"impact_score": 1,
"risk_category": "medium"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Failure Analysis
Get failure taxonomy
Get the full failure taxonomy with all buckets and subcategories
GET
/
v2
/
failure-analysis
/
taxonomy
Get failure taxonomy
Authorizations
Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx
⌘I